import request from '@/utils/request'
// 登录
export function login(data) {
  return request({
    url: '/vue-admin-template/user/login',
    method: 'post',
    data
  })
}
// 用户信息
export function getInfo(token) {
  return request({
    url: '/vue-admin-template/user/info',
    method: 'get',
    params: { token }
  })
}
// 登出
export function logout() {
  return request({
    url: '/vue-admin-template/user/logout',
    method: 'post'
  })
}
// 推广人注册
export function register(data) {
  return request({
    url: '/api/promoter/register',
    method: 'post',
    data
  })
}
// 图片上传
export function upload(data) {
  return request({
    url: '/api/public/upload',
    method: 'post',
    data
  })
}
// 所在地区
export function getArea(data) {
  return request({
    url: '/api/public/areas',
    method: 'post',
    data
  })
}
// 进件列表
export function getApplyList(data) {
  return request({
    url: '/api/promoter/account_list',
    method: 'post',
    data
  })
}
// 推广人列表
export function promoter_list(data) {
  return request({
    url: '/api/promoter/promoter_list',
    method: 'post',
    data
  })
}
